﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadScheduleViewTimeRulerItem
{
	public class CustomTimeRulerItemStyleSelector : OrientedTimeRulerItemStyleSelector
	{
		public Style MajorVerticalTickLesson1Style { get; set; }
		public Style MajorVerticalTickLesson2Style { get; set; }
		public Style MajorVerticalTickLunchStyle { get; set; }

		public override Style SelectStyle(object item, DependencyObject container, ViewDefinitionBase activeViewDefinition)
		{
			var selectedStyle = base.SelectStyle(item, container, activeViewDefinition);
			if (selectedStyle == base.MajorVerticalTickStyle)
			{
				switch ((item as TickData).DateTime.Hour)
				{
					case 8: return this.MajorVerticalTickLesson1Style;
					case 10: return this.MajorVerticalTickLesson2Style;
					case 12: return this.MajorVerticalTickLunchStyle;
				}
			}
			return selectedStyle;
		}
	}
}
