﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.Controls;

namespace RadScheduleViewTimeRulerItem
{
	public class CustomTimeRulerItemTemplateSelector: TimeRulerItemTemplateSelector
	{
		public DataTemplate Lesson1Template { get; set; }
		public DataTemplate Lesson2Template { get; set; }
		public DataTemplate LunchTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container, ViewDefinitionBase activeViewDefinition)
		{
			var selectedTemplate =  base.SelectTemplate(item, container, activeViewDefinition);

			if(selectedTemplate == base.VerticalDayMajorItemTemplate)
			{
				switch ((item as TickData).DateTime.Hour)
				{
					case 8: return this.Lesson1Template;
					case 10: return this.Lesson2Template;
					case 12: return this.LunchTemplate;
				}
			}
			return selectedTemplate;
		}

	}
}
